Bug 202281 - Dual head "OK" button does the same as "Cancel" button
Dual head "OK" button does the same as "Cancel" button
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Depends On:
  Show dependency treegraph
Reported: 2006-08-11 20:04 EDT by Jim Peltier
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-26 15:09:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jim Peltier 2006-08-11 20:04:40 EDT
Description of problem:
When enabling dual head mode, it asks me what type of monitor I am using for my
2nd monitor. I choose Acer 34T and click okay. That window disappears for a
moment, then reappears wanting me to choose it again. When I do and click okay,
it returns me to the main window and everything is good. I set the resolution
and click okay. It tells me to restart the X. So I restart it. No effect. When I
go back into that window, it has switched back to the default. Even if I try it
without restarting the X, it still resets to the default. It's like I'm clicking

Version-Release number of selected component (if applicable): N/A

How reproducible:

Steps to Reproduce:
1. System->Administration->Display
2. Under "Dual head" tab, click "configure" for 2nd monitor
3. Pick a monitor, any monitor (I chose Acer 34T)
4. Click "OK" (monitor selection window disappears for a moment, then reappears)
5. Click "OK" again (seems to have worked that time)
6. Set the resolution and click "OK"
Actual results:
Settings were not changed. Clicking "OK" had the same effect as clicking "Cancel"

Expected results:
Settings would be changed and my 2nd monitor wouldn't be a blur of broken pixels.

Additional info:
I'm a bit new to the Linux world, so please go easy on me :)
Comment 1 Adam Jackson 2006-08-28 15:13:06 EDT
Try launching system-config-display from a terminal window, and see if it prints
a traceback when you click the OK button.
Comment 2 Jim Peltier 2006-08-28 22:08:52 EDT
When I click "Configure", it adds the following line of text in my terminal:

in hydrate_second

Beyond that, everything else happens exactly the same as described before.
Comment 3 Adam Jackson 2007-03-26 17:34:16 EDT
What hardware is this with?  If it's an nvidia card then you're out of luck for
the moment, the driver doesn't have dualhead support.
Comment 4 Adam Jackson 2007-05-26 15:09:53 EDT
Mass closure: This bug has been in NEEDINFO for over six weeks with no
additional information provided, and is therefore being closed.  If this bug is
still an issue for you, please supply the requested information, and reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.